## cloudgps 0.2.1

=== Makefile ===
APP=cloudgps

CC = gcc

CFLAGS = -g -O2  `sdl-config --cflags --libs` `pkg-config --cflags --libs liblocation hal x11 xtst`
PKGCFLAGS = -Wall

LIBS = `sdl-config --cflags --libs` `pkg-config --cflags --libs liblocation hal x11 xtst` -lSDL_gles -lEGL -lGLES_CM -lm -lSDL_image -lcurl

TARGET = cloudgps

SOURCES = src/main.c

OBJS = $(SOURCES:%.c=%.o)

all:	$(TARGET)

$(TARGET): $(OBJS)
	$(CC) -o $(TARGET) $(OBJS) $(LIBS)

%.o: %.c
	$(CC) -o $@ -c $^ $(CFLAGS) $(PKGCFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

install:
	@echo You must be root to install
	install -d $(DESTDIR)/opt/cloudgps/res/
	install cloudgps $(DESTDIR)/opt/cloudgps/
	install res/*.png $(DESTDIR)/opt/cloudgps/res/
	install -d $(DESTDIR)/usr/share/applications/hildon/
	install res/*.desktop $(DESTDIR)/usr/share/applications/hildon/
	for s in 40 26; do \
	  install -d $(DESTDIR)$(prefix)/usr/share/icons/hicolor/$${s}x$${s}/hildon ;\
	  install -m 644 res/$(APP).$$s.png $(DESTDIR)$(prefix)/usr/share/icons/hicolor/$${s}x$${s}/hildon/$(APP).png ;\
	done
	install -d $(DESTDIR)$(prefix)/usr/share/icons/hicolor/scalable/hildon
	install -m 644 res/$(APP).64.png $(DESTDIR)$(prefix)/usr/share/icons/hicolor/scalable/hildon/$(APP).png

## cloudgps 0.1

=== debian/changelog ===
cloudgps (0.1) unstable; urgency=low

  * Initial release

 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Thu,  7 Jul 2010 00:00:00 -0000

=== debian/control ===
Source: cloudgps
Section: location
Priority: extra
Maintainer: Damian Waradzyn <damian.waradzyn@gmail.com>
Build-Depends: debhelper (>= 5), liblocation-dev, libhal-dev, libxtst-dev, libgles1-sgx-img-dev, libgconf2-dev, libsdl-gles1.2-dev, libsdl1.2-dev, libsdl-image1.2-dev, libc6-dev (>= 2.5.0-1), libcurl3-dev (>= 7.16.2-1)
Standards-Version: 3.7.2

Package: cloudgps
Architecture: armel
Depends: libgles1, ${shlibs:Depends} 
Description: Simple tile mapping application using OpenGL ES with smooth user experience.

## cloudgps 0.2

=== debian/changelog ===
cloudgps (0.2) unstable; urgency=low

  * Partial 3D and accelerometer support added.

 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Thu,  24 Jul 2010 00:00:00 -0000

=== debian/control ===
Source: cloudgps
Section: user/navigation
Priority: extra
Maintainer: Damian Waradzyn <damian.waradzyn@gmail.com>
Build-Depends: debhelper (>= 5), liblocation-dev, libhal-dev, libxtst-dev, libgles1-sgx-img-dev, libgconf2-dev, libsdl-gles1.2-dev, libsdl1.2-dev, libsdl-image1.2-dev, libc6-dev (>= 2.5.0-1), libcurl3-dev (>= 7.16.2-1)
Standards-Version: 3.7.2

Package: cloudgps
Architecture: armel
Depends: libgles1, ${shlibs:Depends} 
Description: Simple yet the smoothest tile mapping application for N900. Now with 3D and accelerometer support.
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ
  bWFnZVJlYWR5ccllPAAACZxJREFUeNrsWUtsXGcVPnPnzns8Y8+Mn3Hj2JmYpk0aL6jS5qHm0dCo
  AgolKkollKCGFZHSDVJUWKaogISyKCsWwAZYZMWiQgISQGVTkNpKFLfJeGwndm3n5bE9M77vyznn
  /v+d67EnL5IqI/Fbv/6ZO/fxfefxnfNfA9xhRGLxXThPQDsOBP7K6JeeXHxmbMylz+0EnKx+Zuu2
  Ufe7b7xB4D/EmW0L8F35wofZrpyLq/vt48fbCzxZnsA/u/s598KFCwSe5tDjjlsJfD5Qr9fhG698
  HX77u9/T9ylT16bbxfonKOZF2NCcFOuZtgEvEvaSDBsC/5vBLT99b6g4/NgT6N80SOB/1fwbgcf5
  ywcl8c7PfpzC2fso8YcEiRcw3v+20QkC/Fs4f/jydOn6PYB+CZejqWRqLBaP8THbsmFpeamEH/9I
  8+wP3qo9VAJ3G4LEdSRQuwNwsvS54S3DxZ07noFcLg+hUAgcxwbLsmBlZQXGP/0PTE5NzuP3HyGJ
  iS+MQIDIblz+3UwEwW9Vw+r5gwcOpZEAgnZBUbxbO67LHtANjY8vLMzDP//1QbVaq775MEgo93l+
  CufbSCQVjHNczh4+dDg9MjyCwMOQyWSgqyvHM4czn8+zRyKqCoVCAfY+vzdNhB9GftwXAbT8RVz+
  0ETi2Oi20eLw0AioagSy2SxEIhHP+o4DpmWCrmtgmRZEo1EII8FUKg07d+xM4yknH3kICSudVFV1
  DBOzj46pWq3TnL2mV3PdP1ei8e+8+s1vpbs6c2x5RVHApbCxbQZPwE3T5M+88jQwL0y4eOki1Oq1
  d/GWdO99+Ax+pq7rVU3X3hcJ//EDE0Dw389mssfGdo3B1q3bIJlIsJUJxM3Jzzo/+eD9wmpXf+nF
  Q0cgFotDPB5n8B5wAmqtAU7HCLiNiR0KKVAuT8BKdQU2D26GZDIJLv3h9ZT0y8vLMDU9Bbdu3yIi
  77RSrlAr/cbl/I6ndxYPH3yRXU/hQJMsS5MtdWO2E60F8d7BShrDghLXwoSl8yzbwuS1QMPftdVV
  jxR+p2njb0SYfqdBoCORKJLywk7TNL6ePs/NzUF5qlzC697ciITawvinCfxLR45COBzmB3A8C/cb
  wppKMlNJdMbBuDGTVzq236JzyUMSlINEk0lUoKTOll5cvAWGYTDwWDTGMptMpiCPia2gRzzjWLwu
  LS3BbTy/t7eXMBTHPxs/j7f9XjPQ8AbW35XL5U4fe/U1AR7YakHwtJoGJqehQ7qjA+L6St5evpWJ
  dvUsS/BkQfKGZ0mb1SmZSLIn6vUaxGMx6O7pZZVyXUec35ghzKU4eknTVjk0ceSe3f3l+T//6S8T
  d1OhYwf2HwyAF4CbwFMcbxoYhExHBlLDT8/QhbXyJ4PSUzJ5m3OBFKiQ72bLMyH/vvI5pvCwwd6g
  82gM9A+gd9WTd5VRUoNh1HMaErwhbtoMXliGR3LLUzNuSLH16nKErSgS1hSrJZSIVop1BQ0UTO6g
  Unnnep4gK3qhqZK3+qhotswBCp+enh6+wAsbYR3DaEggPqSvt38NeCmbav/wHK3G8u24E01oFOsW
  xTWvFldkGeM6xjitFCZWIPZpOnIVosH5gX+pFHrjBhTxkRMtk5hcLAFtBD6KatGBcS+HfIinLt5a
  n79acGOpaihbqGwEnid6sVJZxGqdB5fvYfExx24oHeWOLdSPBikdjr47hhAB8AhYPvhGjJrcCgRV
  Ria4DBciGe4bnjEqNzMaymxDPk2+JobJG48n2PJUlWuoTv45IlcsQdq0hGEcT7Yvly5Dc/Vu9kDp
  2rWrDATzdw14D4Dje4jB27av91JxZNiEejbP6FPjI1hWIZTJVzKZLMex9BKdS5JLhqKYZ2uT9Z1G
  6NBKz6JBtYFqDmG8kweKWMKpdxcPc0TZN/ghCbSclEjTWq8ywUS1kG2of7hsV24W0q7ZSfeT17FV
  ZWiJcJEGaBQ72wdP4/oNfyvy0YZ1gDYiqEDnvvry16AX9dl1KPsVdivpPQEjKyawnbCla+1my3ux
  LoFh++x2bhqqWAvTmxxF1Z2waq75XXhQxr0ljgWB08DWG0oTJU+yU6mn9u7f04f14B8+AVIfbMTO
  HX/tdSh096DEKdxRktIQ4HQ6w30KqQEda4BvrBslKsV7Ipl2Id1ZcdSoYdaW4nZIsWxrbTJLAhRG
  LrjrcnL803F+7vYnt7NxkVARSXBRkyF09sjhr6C6ZEBFCY2IdsBAy2uaDvXVOneZUQTESesnbKPT
  JE9ZgX6HpopG4LDAlLEMTTE+nxy0asvxIHhb5pGz3vIU9wSe9hPYfoPsVkeLo4hTPU09W5gKwxOD
  T7y+5/l9XlbjSXQjA2OfkobCh1dKRixA1HRxXrTQ9yAwWSvY4hhPTqKjYs6Wh5xItO4o6Alf9511
  lufKXqvBwMAASm3X2uqLxsS7RTFXr5IH9hWxVSbQspenhsvQG8DpM0nqCra4XI1FpQ1KpG95kQ9E
  ijBJkhzfEHLcXP+MtXB10Cdr2xuCp0GbI2n15tGDoU7Y+Vdul1Ei1ZDKIeFb3fDAG1yRDSaWRBml
  HtxXEBnPTsOa8jtdT1U92GWi9TWnb6TkWLav7w8yhHfTnAPEn1SHLKgHLM/WNzzrUw/kbTSW1vX2
  jTBqxDPnEF5vC8n05RIJOoIgzE4UQa/H/+c9cR1jzQudhtV5NWQjZzBoLy6rfJ4HzGQZlcCJkCz7
  NFaxFQ6Giu8JaflC/wzcmB16EBKU4KSwROCjiXJJtA+OH/sGW90Qhcxa07hRLliB6isLU7OKEBkm
  4diB/qZBEGJJDbo3TcPNuUG8wX29YMCtJhc1hTbNc/Nz87Ofz7DKSE8Em7hmYLYA5oPnRNx4yHus
  Ax8kQZ64fm3oXknQM3GrWaVNv7zg3b/+/RLQ6/UEbq4TuNGgpN4IvE+C3jpwD+Pc9YEtwQdJpLKL
  MD89ci8kypNl3GtrF2iPHAq0Eif6+/pP7t/3AlbeND9QKpBsqqjtdXh1ubHjz678zXujsOaYmPRG
  DsT5dxzVpQwkUlUIqy3ZXr5ymfoiet3ykzW9EJblj5/bs3t+YqI0hgkcpTYg5MUUby0ZjJAsV/x5
  P4B3jngl0jgGPgFoqfRNIxpHdTBV9kQqU8HC5F+2cH0Brly5ApWlyq8R/C9avlYRr1SOUpGgN8yt
  CsmjHOrqSmdEXy2sZgtl3N074s02daEUNgtt8V+j94aKh3C+De08kEAPtPsgEjhPPazX61/4EP8V
  SiGJM+3uiTP/J/EYkTjV7iROyf8Q/VeAAQD6Ia6g54/hZwAAAABJRU5ErkJggg==

## cloudgps 0.2.1

=== debian/changelog ===
cloudgps (0.2.1) unstable; urgency=low

  * Small bugfix for up arrow.

 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Thu,  24 Jul 2010 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 Package: cloudgps
 Architecture: armel
 Depends: libgles1, ${shlibs:Depends} 
-Description: Simple yet the smoothest tile mapping application for N900. Now with 3D and accelerometer support.
+Description: Simple yet the smoothest tile mapping application for N900. 
+  Now with partial 3D and accelerometer support.
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ
   bWFnZVJlYWR5ccllPAAACZxJREFUeNrsWUtsXGcVPnPnzns8Y8+Mn3Hj2JmYpk0aL6jS5qHm0dCo

## cloudgps 0.2.9

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 CC = gcc
 
-CFLAGS = -g -O2  `sdl-config --cflags --libs` `pkg-config --cflags --libs liblocation hal x11 xtst`
+CFLAGS = -g -O2  `sdl-config --cflags --libs` `pkg-config --cflags --libs liblocation hal x11 xtst` -funwind-tables -fasynchronous-unwind-tables
 PKGCFLAGS = -Wall
 
 LIBS = `sdl-config --cflags --libs` `pkg-config --cflags --libs liblocation hal x11 xtst` -lSDL_gles -lEGL -lGLES_CM -lm -lSDL_image -lcurl
@@ -29,6 +29,7 @@
 	install -d $(DESTDIR)/opt/cloudgps/res/
 	install cloudgps $(DESTDIR)/opt/cloudgps/
 	install res/*.png $(DESTDIR)/opt/cloudgps/res/
+	install res/*.ini $(DESTDIR)/opt/cloudgps/
 	install -d $(DESTDIR)/usr/share/applications/hildon/
 	install res/*.desktop $(DESTDIR)/usr/share/applications/hildon/
 	for s in 40 26; do \

=== debian/changelog ===
cloudgps (0.2.9) unstable; urgency=low

  * Portrait mode, memory management, partial support for config files.

 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Tue,  10 Aug 2010 00:00:00 -0000

## cloudgps 0.3.9

=== debian/changelog ===
cloudgps (0.3.9) unstable; urgency=low

  * Fixed following GPS position and direction.
  
  * Instant zooming and zoombar.
  
  * Experimental and partial support for 3D buildings.
  
  * Compass icon and 2D rotation mode.
  
 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Thu,  12 Nov 2010 00:00:00 -0000
  

## cloudgps 0.3.10

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 CFLAGS = -g -O2  `sdl-config --cflags --libs` `pkg-config --cflags --libs liblocation hal x11 xtst` -funwind-tables -fasynchronous-unwind-tables
 PKGCFLAGS = -Wall
 
-LIBS = `sdl-config --cflags --libs` `pkg-config --cflags --libs liblocation hal x11 xtst` -lSDL_gles -lEGL -lGLES_CM -lm -lSDL_image -lcurl
+LIBS = `sdl-config --cflags --libs` `pkg-config --cflags --libs liblocation hal x11 xtst` -lSDL_gles -lEGL -lGLES_CM -lm -lSDL_image -lSDL_ttf -lcurl -ljson
 
 TARGET = cloudgps

=== debian/changelog ===
cloudgps (0.3.10) unstable; urgency=low

  * Reuploading the same version because previous would not install from extras-devel.

 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Thu,  12 Nov 2010 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: user/navigation
 Priority: extra
 Maintainer: Damian Waradzyn <damian.waradzyn@gmail.com>
-Build-Depends: debhelper (>= 5), liblocation-dev, libhal-dev, libxtst-dev, libgles1-sgx-img-dev, libgconf2-dev, libsdl-gles1.2-dev, libsdl1.2-dev, libsdl-image1.2-dev, libc6-dev (>= 2.5.0-1), libcurl3-dev (>= 7.16.2-1)
+Build-Depends: debhelper (>= 5), liblocation-dev, libhal-dev, libxtst-dev, libgles1-sgx-img-dev, libgconf2-dev, libsdl-gles1.2-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, json-dev, libc6-dev (>= 2.5.0-1), libcurl3-dev (>= 7.16.2-1)
 Standards-Version: 3.7.2
 
 Package: cloudgps
 Architecture: armel
 Depends: libgles1, ${shlibs:Depends} 
-Description: Simple yet the smoothest tile mapping application for N900. 
-  Now with partial 3D and accelerometer support.
+Description: Smoothest tile maps for N900 with great user experience.  
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ
   bWFnZVJlYWR5ccllPAAACZxJREFUeNrsWUtsXGcVPnPnzns8Y8+Mn3Hj2JmYpk0aL6jS5qHm0dCo

## cloudgps 0.3.11

=== debian/changelog ===
cloudgps (0.3.11) unstable; urgency=low

  * Fixed random crashes and optimized tile loading times (4x faster).

 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Sun,  28 Nov 2010 00:00:00 -0000

## cloudgps 0.4.4

=== Makefile ===
--- 
+++ 
@@ -2,20 +2,21 @@
 
 CC = gcc
 
-CFLAGS = -g -O2  `sdl-config --cflags --libs` `pkg-config --cflags --libs liblocation hal x11 xtst` -funwind-tables -fasynchronous-unwind-tables
+CFLAGS = -g -O2 -DN900 `pkg-config --libs glib-2.0` `pkg-config --cflags --libs hal liblocation sdl` -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -D_GNU_SOURCE
 PKGCFLAGS = -Wall
 
-LIBS = `sdl-config --cflags --libs` `pkg-config --cflags --libs liblocation hal x11 xtst` -lSDL_gles -lEGL -lGLES_CM -lm -lSDL_image -lSDL_ttf -lcurl -ljson
+LIBS = `pkg-config --libs glib-2.0` `pkg-config --cflags --libs liblocation hal sdl` -lSDL_gles -lGLES_CM -lEGL -lm -lSDL_image -lSDL_ttf -lcurl -ljson
 
 TARGET = cloudgps
 
-SOURCES = src/main.c
+SOURCES = src/main.c src/tile.c src/tileengine.c src/glunproject.c src/file.c src/texture.c src/downloadQueue.c src/console.c  src/screen.c
 
 OBJS = $(SOURCES:%.c=%.o)
 
 all:	$(TARGET)
 
 $(TARGET): $(OBJS)
+	rm -f $(TARGET)
 	$(CC) -o $(TARGET) $(OBJS) $(LIBS)
 
 %.o: %.c

=== debian/changelog ===
cloudgps (0.4.4) unstable; urgency=low

  * Implemented flyby to target location using intermediate zoom levels.
  
  * Added close and task manager buttons in landscape view.
  
  * Added support for markers (only one marker now - search result) - almost complete in 2D, not working in 3D.
  
  * Added search feature - still incomplete and only CloudMade. 
  
  * Added arrow indicating direction to current gps position (if outside screen).
  
  * Distance from screen center to gps position (press C).
  
  * Better usage of tiles from other zoom levels.
  
  * More tile providers by default.
  
 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Sun,  29 May 2011 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/navigation
 Priority: extra
 Maintainer: Damian Waradzyn <damian.waradzyn@gmail.com>
-Build-Depends: debhelper (>= 5), liblocation-dev, libhal-dev, libxtst-dev, libgles1-sgx-img-dev, libgconf2-dev, libsdl-gles1.2-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, json-dev, libc6-dev (>= 2.5.0-1), libcurl3-dev (>= 7.16.2-1)
+Build-Depends: debhelper (>= 5), liblocation-dev, libhal-dev, libgles1-sgx-img-dev, libgconf2-dev, libsdl1.2-dev, libsdl-gles1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, json-dev, libc6-dev (>= 2.5.0-1), libcurl3-dev (>= 7.16.2-1)
 Standards-Version: 3.7.2
 
 Package: cloudgps

## cloudgps 0.4.6

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,9 @@
 
 TARGET = cloudgps
 
-SOURCES = src/main.c src/tile.c src/tileengine.c src/glunproject.c src/file.c src/texture.c src/downloadQueue.c src/console.c  src/screen.c
+SOURCES = src/main.c src/tile.c src/tileengine.c src/glunproject.c src/file.c src/texture.c src/downloadQueue.c \
+src/console.c src/screen.c src/network.c \
+src/geocoding/geocoder.c src/geocoding/cloudmade_geocoder.c src/geocoding/google_geocoder.c
 
 OBJS = $(SOURCES:%.c=%.o)

=== debian/changelog ===
cloudgps (0.4.6) unstable; urgency=low

  * Added support for Google map search (press S to switch between CloudMade and Google).
  
  * Search is now done in background - not blocking rest of UI.

 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Sun,  5 Jun 2011 00:00:00 -0000

cloudgps (0.4.5) unstable; urgency=low

  * Uploading the same version with bugtracker link in debian/control.

 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Tue,  31 May 2011 00:00:00 -0000

## cloudgps 0.4.7

=== debian/changelog ===
cloudgps (0.4.7) unstable; urgency=low

  * Added two search providers: Google Maps and Google Maps Local

  * Added debug network messages option (curlVerbose in cloudgps.ini).
  
 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Thu, 9 Jun 2011 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 Package: cloudgps
 Architecture: armel
 Depends: libgles1, ${shlibs:Depends} 
-Description: Smoothest tile maps for N900 with great user experience.  
+Description: Smoothest tile maps for N900 with great user experience.
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1753  
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ
   bWFnZVJlYWR5ccllPAAACZxJREFUeNrsWUtsXGcVPnPnzns8Y8+Mn3Hj2JmYpk0aL6jS5qHm0dCo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

CXXFLAGS = $(CFLAGS)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/cloudgps.sgml > cloudgps.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/cloudgps.
	$(MAKE) DESTDIR=$(CURDIR)/debian/cloudgps install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cloudgps 0.4.8

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,8 @@
 
 SOURCES = src/main.c src/tile.c src/tileengine.c src/glunproject.c src/file.c src/texture.c src/downloadQueue.c \
 src/console.c src/screen.c src/network.c \
-src/geocoding/geocoder.c src/geocoding/cloudmade_geocoder.c src/geocoding/google_geocoder.c
+src/geocoding/geocoder.c src/geocoding/cloudmade_geocoder.c src/geocoding/google_geocoder.c \
+src/geocoding/google_maps_geocoder.c src/geocoding/coordinate_reader.c
 
 OBJS = $(SOURCES:%.c=%.o)

=== debian/changelog ===
cloudgps (0.4.8) unstable; urgency=low

  * Fixed loading previously used map provider.
  
 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Fri, 10 Jun 2011 00:00:00 -0000

## cloudgps 0.5.5

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,9 @@
 SOURCES = src/main.c src/tile.c src/tileengine.c src/glunproject.c src/file.c src/texture.c src/downloadQueue.c \
 src/console.c src/screen.c src/network.c \
 src/geocoding/geocoder.c src/geocoding/cloudmade_geocoder.c src/geocoding/google_geocoder.c \
-src/geocoding/google_maps_geocoder.c src/geocoding/coordinate_reader.c
+src/geocoding/google_maps_geocoder.c src/geocoding/coordinate_reader.c \
+src/routing/router.c src/routing/google_maps_router.c src/routing/cloudmade_router.c\
+src/markerIterator.c src/navigation/navigation.c src/unicode2ascii.c src/geometry.c
 
 OBJS = $(SOURCES:%.c=%.o)

=== debian/changelog ===
cloudgps (0.5.5) unstable; urgency=low

  * Route calculation using CloudMade and Google Maps (press R to cycle): press and hold on map to invoke popup menu, select Directions from/to here. You can also tap and drag route start or end and route will be recalculated.
  
  * Turn by turn instructions are displayed on locations near route (within 30 meters). Distance to next turn by turn direction is calculated as well as distance to route destination (this one is not accurate due to some bug).
  
  * Route is rendered with rounded lines. Line thickness is calculated automatically based on current zoom level.
  
  * Last calculated route is stored locally and reloaded (without using network) on next startup.
  
  * Route overview flyby – camera will follow route drom start to end. Press D to activate.
  
  * Off-line mode (press Z to toggle).
  
  * Added UNICODE to ASCII conversion on every string returned from search and routing providers.
  
 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Sun, 31 Jul 2011 00:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -87,7 +87,7 @@
 #	dh_perl
 #	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps
+#	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## cloudgps 0.5.6

=== debian/changelog ===
cloudgps (0.5.6) unstable; urgency=low

  * Fixed (hopefully) package dependencies.
  
 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Fri, 10 Jun 2011 00:00:00 -0000

## cloudgps 0.5.7

=== debian/changelog ===
cloudgps (0.5.7) unstable; urgency=low

  * Fixed: crash for some search results when using Cloudmade

  * Fixed: distance to destination was not accurate

  * Fixed: popup misaligned/not showing when map is rotated

  * Fixed: markers lying on ground in 3D

  * Fixed: route flickered when used together with gps

  * Fixed: map was sometimes not shown due to arithmetic error saved in config file

  * Fixed: message display time on statusbar was too short

 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Sat, 24 Sep 2011 00:00:00 -0000

## cloudgps 0.6.4

=== Makefile ===
APP=cloudgps

CC = g++

CFLAGS = -g -O2 -DN900 -DQT_CORE_LIB -DQT_SHARED `pkg-config --libs glib-2.0` `pkg-config --cflags --libs hal sdl` -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -D_GNU_SOURCE -I/opt/qtm11/include/QtSensors/ -I/usr/include -I/opt/qtm11/include -I/opt/qtm11/include/QtMobility -I /usr/include/QtCore/

PKGCFLAGS = -Wall

LIBS = `pkg-config --libs glib-2.0` `pkg-config --cflags --libs hal sdl` -lSDL_gles -lGLES_CM -lEGL -lm -lSDL_image -lSDL_ttf -lcurl -ljson -lQtCore -lQtDBus -L/opt/qtm11/lib -lQtSensors -lQtGui -lQtLocation

TARGET = cloudgps

SOURCES = src/main.cpp \
src/navigation/navigation.cpp \
src/io/input.cpp \
src/io/downloadQueue.cpp \
src/io/network.cpp \
src/io/file.cpp \
src/display/buildings3d.cpp \
src/display/unicode2ascii.cpp \
src/display/markerIterator.cpp \
src/display/console.cpp \
src/display/geometry.cpp \
src/display/texture.cpp \
src/display/glunproject.cpp \
src/display/screen.cpp \
src/display/glcanvas.cpp \
src/display/textRender.cpp \
src/display/taskman.cpp \
src/display/uielement.cpp \
src/tile_engine/tileengine.cpp \
src/tile_engine/tile.cpp \
src/tile_engine/tileProviders.cpp \
src/config/config.cpp \
src/geocoding/cloudmade_geocoder.cpp \
src/geocoding/google_geocoder.cpp \
src/geocoding/coordinate_reader.cpp \
src/geocoding/geocoder.cpp \
src/geocoding/google_maps_geocoder.cpp \
src/geocoding/google_local_geocoder.cpp \
src/routing/cloudmade_router.cpp \
src/routing/google_maps_router.cpp \
src/routing/router.cpp \
src/sensors/moc_gps.cpp \
src/sensors/compass.cpp \
src/sensors/battery.cpp \
src/sensors/accelerometer.cpp \
src/sensors/gps.cpp \
src/animation/AnimatedElement.cpp \
src/animation/AnimationManager.cpp \
src/animation/Transition.cpp \
src/animation/transitions/EmptyTransition.cpp \
src/animation/transitions/LinearTransition.cpp \
src/animation/transitions/CubicTransition.cpp \
src/animation/transitions/DelayTransition.cpp \
src/animation/transitions/ParallelTransition.cpp \
src/animation/transitions/SequentialTransition.cpp \
src/animation/transitions/BackEaseTransition.cpp \
src/animation/TransitionState.cpp \
src/animation/states/DimmedCanvas.cpp \
src/animation/states/DialogText.cpp \
src/menu/Menu.cpp \
src/menu/MenuElement.cpp \
src/menu/MapChooseMenuElement.cpp \
src/menu/KeyboardLayoutMenuElement.cpp \
src/menu/AccelerometerMenuElement.cpp \
src/menu/Toggle3dMenuElement.cpp \
src/menu/ProviderMenuElement.cpp \
src/actions/Action.cpp \
src/actions/DummyAction.cpp \
src/actions/MapPopupAction.cpp \
src/actions/Toggle3DAction.cpp \
src/actions/ChangeTileProviderAction.cpp \
src/actions/ProviderChangeAction.cpp \
src/actions/ShowMenuAction.cpp \
src/actions/ChangeKeyboardLayoutAction.cpp \
src/actions/AboutAction.cpp \
src/actions/ShowMapChooseAction.cpp \
src/actions/RouteFlybyAction.cpp \
src/actions/ToggleAccelerometerAction.cpp \
src/actions/ShowMainMenuAction.cpp \
src/actions/HidePopupMenuAction.cpp \
src/actions/ExitMenuAction.cpp \
src/resources/TextSurfaceManager.cpp \
src/vkb/KeyboardLayout.cpp \
src/vkb/VirtualKeyboard.cpp \
src/searchbar/SearchBar.cpp \
src/about/AboutDialog.cpp


OBJS = $(SOURCES:%.cpp=%.o)

all:	$(TARGET)

$(TARGET): $(OBJS)
	rm -f $(TARGET)
	$(CC) -o $(TARGET) $(OBJS) $(LIBS)

%.o: %.cpp
	$(CC) -o $@ -c $^ $(CFLAGS) $(PKGCFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

install:
	@echo You must be root to install
	install -d $(DESTDIR)/opt/cloudgps/res/menu/
	install cloudgps $(DESTDIR)/opt/cloudgps/
	install res/*.png $(DESTDIR)/opt/cloudgps/res/
	install res/menu/*.png $(DESTDIR)/opt/cloudgps/res/menu/
	install res/*.ttf $(DESTDIR)/opt/cloudgps/res/
	install res/*.ini $(DESTDIR)/opt/cloudgps/
	install res/*.json $(DESTDIR)/opt/cloudgps/
	
	install res/*.ini $(DESTDIR)/opt/cloudgps/
	install -d $(DESTDIR)/usr/share/applications/hildon/
	install res/cloudgps.desktop.fremantle $(DESTDIR)/usr/share/applications/hildon/cloudgps.desktop
	for s in 40 26; do \
	  install -d $(DESTDIR)$(prefix)/usr/share/icons/hicolor/$${s}x$${s}/hildon ;\
	  install -m 644 res/$(APP).$$s.png $(DESTDIR)$(prefix)/usr/share/icons/hicolor/$${s}x$${s}/hildon/$(APP).png ;\
	done
	install -d $(DESTDIR)$(prefix)/usr/share/icons/hicolor/scalable/hildon
	install -m 644 res/$(APP).64.png $(DESTDIR)$(prefix)/usr/share/icons/hicolor/scalable/hildon/$(APP).png

=== debian/changelog ===
cloudgps (0.6.4) unstable; urgency=low

  * Changed default mode to portrait on Harmattan
   
  * Added virtual on screen keyboard for portrait
  
  * Added on screen menu and options
  
  * Added about screen
  
  * Added map selection menu
  
  * Changed icons
  
  * Added multitouch support for zooming and rotating map
  
  * Added compass support
  
 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Sun, 20 Nov 2011 00:00:00 -0000
 

cloudgps (0.5.9) unstable; urgency=low

  * Added support for multiple font sizes (default preinstalled font: Nokia Pure)
  
  * Ported accelerometer and GPS code to QT Mobility.
  
  * Fixed: crash for some search results when using Cloudmade  
  
  * Fixed: distance to destination was not accurate 

  * Fixed: popup misaligned/not showing when map is rotated 

  * Fixed: route flickered when used together with gps 

  * Fixed: map was sometimes not shown due to arithmetic error saved in config file
  
  * Fixed: message display time on statusbar was too short
  
 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Sun, 18 Sep 2011 00:00:00 -0000

cloudgps (0.5.8) unstable; urgency=low

  * Add compass support (if available).
  
  * Port accelerometer and GPS code to QT Mobility.

  * Minor changes.
  
 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Sun, 31 Jul 2011 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/navigation
 Priority: extra
 Maintainer: Damian Waradzyn <damian.waradzyn@gmail.com>
-Build-Depends: debhelper (>= 5), liblocation-dev, libhal-dev, libgles1-sgx-img-dev, libgconf2-dev, libsdl1.2-dev, libsdl-gles1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, json-dev, libc6-dev (>= 2.5.0-1), libcurl3-dev (>= 7.16.2-1)
+Build-Depends: debhelper (>= 5), liblocation-dev, libhal-dev, libgles1-sgx-img-dev, libgconf2-dev, libsdl1.2-dev, libsdl-gles1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, json-dev, libc6-dev (>= 2.5.0-1), libcurl3-dev (>= 7.16.2-1), libqt4-dev, libqtm-11-dev
 Standards-Version: 3.7.2
 
 Package: cloudgps

## cloudgps 0.6.5

=== debian/changelog ===
cloudgps (0.6.5) unstable; urgency=low

  * Fix dependencies again

 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Sun, 4 Dec 2011 00:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -87,7 +87,8 @@
 #	dh_perl
 #	dh_makeshlibs
 	dh_installdeb
-#	dh_shlibdeps
+	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):/opt/qtm11/lib echo LD_LIBRARY_PATH=$(LD_LIBRARY_PATH)
+	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):/opt/qtm11/lib dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
